// pop3.hh - source file for the mailfilter program
// Copyright (c) 2003  Andreas Bauer <baueran@in.tum.de>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.

#ifndef POP3_HH
#define POP3_HH

#include "header.hh"
#include "protocol.hh"

using namespace std;

class POP3 : public Protocol
{
private:
  int      invoke_msg_parser (const string*, const Header*);
public:
  bool     login             (const char* usr,
			      const char* pass);
  bool     logout            (void);
  int      remove_msg        (unsigned int num);
  int      status            (void);
  int      scan              (void);
};

#endif
